<?php
require_once('../wu-engine/wu_init.php');
$page_name = 'Мои товары';
$page_keys = 'Мои товары';
$page_desc = 'Мои товары';
$online_title = 'На странице личных товаров';
$online_url = '/account/eshop_my';
$page_right = '<div class="header-buttons"><div class="collapse" id="header-buttons"><div class="well"><div class="btn-group"><a href="/account/eshop_new" class="btn btn-primary">Новый товар</a></div></div></div></div>';
include('../wu-engine/wu_header.php');
include ('../wu-engine/wu-functions/wu_functions.php');
include('../wu-engine/wu-functions/wu_pagination.php');
if(!USER_LOGGED) { header ("Location: /"); exit; }
function cat($id) {
switch ($id) {
case '1': $cat = 'Скрипты порталов'; $caturl = 'port_script'; break;
case '2': $cat = 'Скрипты казино'; $caturl = 'kazino_script'; break;
case '3': $cat = 'Доски объявлений'; $caturl = 'doska_script'; break;
case '4': $cat = 'Интернет магазины'; $caturl = 'shop_script'; break;
case '5': $cat = 'Скрипты буксов,CAP'; $caturl = 'cap_script'; break;
case '6': $cat = 'Скрипты хайпов'; $caturl = 'hayp_script'; break;
case '7': $cat = 'Экономические игры'; $caturl = 'games_script'; break;
case '8': $cat = 'Модули для CMS'; $caturl = 'moduls_cms'; break;
case '9': $cat = 'Остальное'; $caturl = 'other'; break;
default: $cat = 'Ошибка категории'; $caturl = '';
}
return Array($cat, $caturl);
}
?>

<?php
$page = intval($_GET['page']);
$num = 20;
if ($page==0) $page=1;
$qu = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`id`) AS `cnt` FROM ".DB_PREFIX."_es WHERE usr = '$u_id'"));
$co = $qu['cnt'];
$total = intval(($co - 1) / $num) + 1;
$page = intval($page);
if(empty($page) or $page < 0) $page = 1;
if($page > $total) $page = $total;
$start = $page * $num - $num;
$qr = mysqli_query($connect_db, "SELECT ".DB_PREFIX."_es.id,inf,ty,siz,fi,cat,co,ti,ts,sec,col,buy,st,reas,dt,v,vo,va,log FROM ".DB_PREFIX."_es INNER JOIN ".DB_PREFIX."_users ON ".DB_PREFIX."_es.usr = ".DB_PREFIX."_users.uid WHERE usr='$u_id' GROUP BY ".DB_PREFIX."_es.id ORDER BY ".DB_PREFIX."_es.dt DESC LIMIT $start, $num");
if ($co > 0) {
while($row = mysqli_fetch_array($qr)) {
list($cat, $caturl) = cat($row['cat']);
$fav = mysqli_num_rows(mysqli_query($connect_db, "SELECT id FROM ".DB_PREFIX."_es_f WHERE usr='$u_id' AND f='$row[id]' LIMIT 1"));
?>
<div class="panel panel-<?php if ($row['col'] == 1) { echo 'info'; } else { echo 'default'; } ?>">
<div class="panel-heading">
<h6 class="panel-title<?php if ($row['col'] == 1) { echo ' esinf'; } ?>"><a href="/eshop_show/<?php echo $row['id']; ?>"<?php if ($row['st'] == 0) { echo ' class="onmoder"'; } ?>><?php echo $row['ti']; ?></a></h6>
<div class="panel-icons-group<?php if ($row['col'] == 1) { echo ' esinf'; } ?>">
<a href="javascript://" class="btn btn-link ptext tip" data-placement="bottom" data-original-title="Количество просмотров товара">Просмотров: <?php echo $row["v"]; ?></a>
<a href="javascript://" class="btn btn-link ptext tip" data-placement="bottom" data-original-title="Количество комментариев к товару">Комментариев: <?php $sumc = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`id`) AS `cnt` FROM ".DB_PREFIX."_es_c WHERE m='$row[id];'")); echo $sumc['cnt']; ?></a>
<a href="javascript://" class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Рейтинг товара: <?php if ($row['vo'] > 0) { $rt = $row['va']/$row['vo']; $rt = number_format($rt,2,'.',''); } else { $rt = "Голосов нет"; } echo $rt; ?>"><i class="icon-star<?php if ($rt >=2.5 && $rt < 4) { echo '2'; } if ($rt >=4) { echo '3'; } ?>"></i></a>
<a href="javascript://" class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Размещено <?php echo wudate($row['dt']); ?>"><i class="icon-clock3"></i></a>
<a href="javascript://" onclick="fav('<?php echo $row['id']; ?>');" id="fav_<?php echo $row['id']; ?>"<?php if ($fav > 0) { echo ' style="display: none"'; } ?> class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Добавить в избранное" data-loading-text="<i class='icon-spinner7 spin'></i>"><i class="icon-heart2"></i></a>
<a href="javascript://" onclick="favb('<?php echo $row['id']; ?>');" id="favb_<?php echo $row['id']; ?>"<?php if (!USER_LOGGED || $fav == 0) { echo ' style="display: none"'; } ?> class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Удалить из избранного" data-loading-text="<i class='icon-spinner7 spin'></i>"><i class="icon-heart"></i></a>
<?php if ($row['st'] == 0) { ?><a href="javascript://" class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Статус: На модерации"><i class="icon-file-plus"></i></a><?php } ?>
<?php if ($row['st'] == 1) { ?><a href="javascript://" class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Статус: Одобрено"><i class="icon-file-check"></i></a><?php } ?>
<?php if ($row['st'] == 2) { ?><a href="javascript://" class="btn btn-link btn-icon btndng tip" data-placement="bottom" data-original-title="Статус: Отправлено на дооформление. Необходимо исправить следующие ошибки: <?php echo $row['reas']; ?>"><i class="icon-file-remove"></i></a><?php } ?>
<a href="/account/eshop_edit/<?php echo $row['id']; ?>" class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Редактировать"><i class="icon-pencil"></i></a>
<a href="javascript://" id="bdel_<?php echo $row['id']; ?>" onclick="rdel('<?php echo $row['id']; ?>');" class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Удалить"><i class="icon-remove2"></i></a>
</div>
</div>
<div class="panel-body">
<div class="media">
<div class="media-body cpn marnone">
<div class="col-lg-6 col-md-4 col-sm-4 emarg padnone">
<?php echo nl2br(htmlspecialchars($row['ts'])); ?>
</div>
<div class="col-lg-3 col-md-4 col-sm-4 emarg">
<center>
<?php if ($row['inf'] == 0 && $row['ty'] == 0 && empty($row['siz'])) { ?><a href="javascript://" onclick="ruarch('<?php echo $row['id']; ?>');" class="btn btn-danger marbsm tip" data-placement="bottom" data-original-title="Товар не загружен. Загрузите RAR или ZIP архив с товаром.">Загрузить файл к товару</a><br /><?php } ?>
<?php if ($row['inf'] == 1) { $unitsa = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`id`) AS `c` FROM ".DB_PREFIX."_es_u WHERE m = '$row[id]'")); $unitsi = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`id`) AS `c` FROM ".DB_PREFIX."_es_u WHERE m = '$row[id]' AND st = '0'")); ?><a href="/account/eshop_units/<?php echo $row['id']; ?>" class="btn btn-<?php if ($unitsi['c'] == 0) { echo 'danger tip'; } else { echo 'default'; } ?> marbsm"<?php if ($unitsi['c'] == 0) { echo ' data-placement="bottom" data-original-title="Необходимо добавить экземпляры товара"'; } ?>>Экземпляры</a><br /><?php } ?>
<a href="/account/eshop_images/<?php echo $row['id']; ?>" class="btn btn-<?php $imgs = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`id`) AS `c` FROM ".DB_PREFIX."_es_i WHERE m = '$row[id]'")); if ($imgs['c'] == 0) { echo 'danger tip'; } else { echo 'default'; } ?> marbsm"<?php if ($imgs['c'] == 0) { echo ' data-placement="bottom" data-original-title="Необходимо добавить скриншоты товара"'; } ?>>Скриншоты<?php if ($imgs['c'] > 0) { echo " ($imgs[c])"; }?></a><br />
<?php if ($row['col'] == 0) { ?><a href="javascript://" onclick="rcolor('<?php echo $row['id']; ?>');" class="btn btn-default marbsm">Выделить</a><br /><?php } ?>
<a href="javascript://" onclick="rup('<?php echo $row['id']; ?>');" class="btn btn-default marbsm">Поднять</a>
</center>
</div>
<div class="col-lg-3 col-md-4 col-sm-4 well einf">
<ul>
<li>Стоимость: <font class="flright fbold"><?php echo $row['co']; ?> руб.</font></li>
<li>Категория: <font class="flright"><a href="/category/<?php echo $caturl; ?>"><?php echo $cat; ?></a></font></li>
<li>Тип товара: <font class="flright"><?php if ($row['ty'] == 0) { echo 'Файл'; } if ($row['ty'] == 1) { echo 'Текст'; } ?></font></li>
<?php if ($row['inf'] == 0 && $row['ty'] == 0) { ?>
<li>Имя файла: <font class="flright"><?php if (empty($row['siz'])) { echo 'Не загружен'; } else { echo $row['fi']; } ?></font></li>
<li>Размер файла: <font class="flright"><?php echo number_format($row['siz'],2,'.',',');?> Мб</font></li>
<?php } ?>
<li>Количество: <font class="flright"><?php if ($row['inf'] == 0) { echo 'Бесконечно'; } if ($row['inf'] == 1) { echo '<font class="tip" data-placement="left" data-original-title="Продаётся">'.$unitsi['c'].'</font>/<font class="tip" data-placement="left" data-original-title="Всего">'.$unitsa['c'].'</font>'; } ?></font></li>
<li>Покупок: <font class="flright"><?php echo $row['buy']; ?></font></li>
</ul>
</div>
</div>
</div>
</div>
</div>
<?php }
$pageNav = new SimPageNav();
$pages = ceil($co/$num);
echo $pageNav->getLinks($pages, 1, $page, 10, 'page');
?>
<div id="rcolor" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-file"></i> Выделение товара #<font id="tocol"></font></h4>
</div>
<div class="modal-body with-padding">
<div class="alert alert-info"><center>Выделите свой товар синим цветом для привлечения внимания и увеличения количества продаж. Товар будет выделен на всех страницах, включая результаты поиска. Выделение товара стоит всего 49 рублей, приобретается один раз и навсегда.</center></div>
</div>
<div class="modal-footer">
<a class="btn btn-success" href="javascript://" id="gocolor" data-loading-text="<i class='icon-spinner7 spin'></i> Выделяем">Выделить</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<div id="rup" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-arrow-up11"></i> Поднятие товара #<font id="toup"></font></h4>
</div>
<div class="modal-body with-padding">
<div class="alert alert-info"><center>Поднимите свой товар в проекте Eshop. Поднятие происходит на главной странице, в категории и в списке товаров пользователя. Поднятие товара стоит всего 49 рублей. После поднятия товар может быть сдвинут ниже добавленными или поднятыми товарами.</center></div>
</div>
<div class="modal-footer">
<a class="btn btn-success" href="javascript://" id="goup" data-loading-text="<i class='icon-spinner7 spin'></i> Поднимаеи">Поднять</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<div id="uarch" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<form enctype="multipart/form-data" action="javascript:void(null);" id="aupl" method="POST">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-upload2"></i> Загрузка архива к товару #<font id="touarch"></font></h4>
</div>
<div class="modal-body with-padding">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="item" id="hitem" />
<div class="alert alert-info fade in"><center>Архив загружается только один раз. Будьте внимательны при выборе архива.</center></div><br/>
<label>Выберите архив:</label>
<input type="file" class="styled form-control" name="arch" />
<span class="help-block">Поддерживаются форматы: rar, zip.<br />Максимальный размер - 50 Мб.</span>
</div>
</div>
<div class="modal-footer">
<button class="btn btn-success" id="upload" data-loading-text="<i class='icon-spinner7 spin'></i> Загружаем"><i class="icon-upload2"></i> Загрузить</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</form>
</div>
</div>
<div id="rdelete" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-remove"></i> Удаление товара #<font id="todel"></font></h4>
</div>
<div class="modal-body with-padding">
<div class="form-group">
<label>Введите причину удаления:</label>
<textarea class="form-control" placeholder="Причина удаления" id="msg"></textarea>
</div>
</div>
<div class="modal-footer">
<a class="btn btn-danger" href="javascript://" id="rdel" data-loading-text="<i class='icon-spinner7 spin'></i> Удаляем">Удалить</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<?php } else { echo '<div class="alert alert-info fade in"><i class="icon-info"></i> Вы пока не добавляли товары</div>'; } ?>
<link href="/wu-static/js/lightgallery/css/lightgallery.min.css" rel="stylesheet">
<script src="/wu-static/js/lightgallery/js/picturefill.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lightgallery.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-fullscreen.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-thumbnail.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-video.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-autoplay.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-zoom.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-pager.js"></script>
<script src="/wu-static/js/lightgallery/js/jquery.mousewheel.min.js"></script>
<script type='text/javascript'>
var vrcolor;
function rcolor(id){
vrcolor = id;
$('#tocol').text(id);
$('#rcolor').modal('show');
};
var vrup;
function rup(id){
vrup = id;
$('#toup').text(id);
$('#rup').modal('show');
};
var vrdel;
function rdel(id){
vrdel = id;
$('#todel').text(id);
$('#rdelete').modal('show');
};
var vruarch;
function ruarch(id){
vruarch = id;
$('#hitem').val(vruarch);
$('#touarch').text(id);
$('#uarch').modal('show');
};
$(function() {
$(".onmoder").on('click', function() {
$.jGrowl('Товар на модерации', { theme: 'growl-error' });
return false;
});
$('.lightgallerys').lightGallery();
var btns = $('#upload');
$('#upload').click(function(){
btns.button('loading');
var data = new FormData($('#aupl')[0]);
$.ajax({
type: 'POST',
processData: false,
contentType: false,
url: '/wu-engine/wu-actions/eshop_item_upload.php',
data: data,
cache: false,
success: function(result){
btns.button('reset');
if (result == '0') {
$.jGrowl('Файл не загружен или имеет неверный формат', { theme: 'growl-error' });
}
if (result == '1') {
$(location).attr('href','/account/eshop_my');
}
if (result == '3') {
jerr();
}
if (result == '4') {
$.jGrowl('Размер архива не должен превышать 50 Мб', { theme: 'growl-error' });
}
},
error: function(){
btns.button('reset');
serr();
}
});
});
var btnr = $('#rdel');
btnr.click(function(){
btnr.button('loading');
var reas = $('#msg').val();
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_item_del.php',
data: {'id': vrdel, 'reas': reas, 'token': token},
cache: false,
success: function(result){
btnr.button('reset');
if (result == '0') {
$.jGrowl('Вы не ввели причину удаления', { theme: 'growl-error' });
}
if (result == '1') {
$('#rdelete').modal('hide');
$('#msg').val('');
$('#bdel_'+vrdel).hide('slow');
$.jGrowl('Заявка на удаление отправлена', { theme: 'growl-success' });
}
if (result == '3') {
jerr();
}
},
error: function(){
btnr.button('reset');
serr();
}
});
});
var btnc = $('#gocolor');
btnc.click(function(){
btnc.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_item_color.php',
data: {'id': vrcolor, 'token': token},
cache: false,
success: function(result){
btnc.button('reset');
if (result == '0') {
$.jGrowl('Недостаточно средств', { theme: 'growl-error' });
}
if (result == '1') {
$(location).attr('href','/account/eshop_my');
}
if (result == '3') {
jerr();
}
},
error: function(){
btnc.button('reset');
serr();
}
});
});
var btnup = $('#goup');
btnup.click(function(){
btnup.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_item_up.php',
data: {'id': vrup, 'token': token},
cache: false,
success: function(result){
btnup.button('reset');
if (result == '0') {
$.jGrowl('Недостаточно средств', { theme: 'growl-error' });
}
if (result == '1') {
$(location).attr('href','/account/eshop_my');
}
if (result == '2') {
$.jGrowl('Товар на первой позиции', { theme: 'growl-error' });
}
if (result == '3') {
jerr();
}
},
error: function(){
btnup.button('reset');
serr();
}
});
});
});
function fav(id){
$('#fav_'+id).button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_fav_add.php',
data: {'id': id, 'token': token},
cache: false,
success: function(result){
$('#fav_'+id).button('reset');
if (result == '0') {
$.jGrowl('Товар уже в избранном', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Добавлено в избранное', { theme: 'growl-success' });
$('#fav_'+id).hide();
$('#favb_'+id).show();
}
if (result == '3') {
jerr();
}
},
error: function(){
$('#fav_'+id).button('reset');
serr();
}
});
};
function favb(id){
$('#favb_'+id).button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_fav_back.php',
data: {'id': id, 'token': token},
cache: false,
success: function(result){
$('#favb_'+id).button('reset');
if (result == '0') {
$.jGrowl('Товар не в избранном', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Удалено из избранного', { theme: 'growl-success' });
$('#fav_'+id).show();
$('#favb_'+id).hide();
}
if (result == '3') {
jerr();
}
},
error: function(){
$('#fav_'+id).button('reset');
serr();
}
});
};
</script>

<?php include('../wu-engine/wu_footer.php'); ?>